function getDatabaseST_All() {
    
    console.log("GetdatabaseST_Alle!");
    $( "#stoerungenView" ).empty();
    $( "#stoerungenView" ).hide();
    $( "#stoerungenDatabaseView" ).empty();
    $( "#stoerungenDatabaseView" ).hide();
    $( "#loadingView" ).css('display', 'table');
    $( '#loadingStatus').text("Datenbank wird aktualisiert!");

    var dataString = "{\"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\"}";
    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/st/st_getaddresses.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000,
        success: function(result){
        	st_all_state = 1;
            console.log(result);
            
			var searchbar = '<input class="searchtext" type="searchtext" id="Search1" onkeyup="mySearchFunction1()" placeholder="Adressen durchsuchen..." title="Adresse eingeben">';
            $( "#stoerungenDatabaseView" ).append( $( searchbar ) );
            
            if(result == "error")
            {
                var htmlString = '<div class="deviceContainer">' +
                                                        '<p class="deviceName">FALSCHES PASSWORT</p>' +
                                                    '</div>';
                $( "#stoerungenDatabaseView" ).append( $( htmlString ) );
            }
            else
            {
            	var OLD_Datum = "";
                $.each(result, function(i, field){
                    var Ref_Index = field.Ref_Index;
                    var Adresse = field.Adresse;

                    var htmlString;
                                       
                    htmlString = '<div class="deviceContainer" onclick="stoerungen_all(\'' + Ref_Index + '\',\'' + Adresse +'\')">' +
                                                        '<p class="deviceName">' + Adresse + '</p>' +
                                                    '</div>';
                    
                    $( "#stoerungenDatabaseView" ).append( $( htmlString ) );
                });
            }

            $( "#loadingView" ).hide();
            $( "#stoerungenDatabaseView" ).show();
        },
        error: function(result) {
        	st_state = 1;
                        
        	var htmlString = '<div class="deviceContainer">' +
                                                    '<p class="deviceName">FEHLER</p>' +
                                                '</div>';
            $( "#stoerungenDatabaseView" ).append( $( htmlString ) );

            $( "#loadingView" ).hide();
            $( "#stoerungenDatabaseView" ).show();
        }
    });
}

function getDatabaseST_All_ofAdress() {
    
    adresse_index = active_adresse_index;
    
    console.log("GetdatabaseSTofAdress! Index:" + adresse_index);
    $( "#stoerungenView" ).empty();
    $( "#stoerungenView" ).hide();
    $( "#stoerungenDatabaseView" ).empty();
    $( "#stoerungenDatabaseView" ).hide();
    $( "#loadingView" ).css('display', 'table');
    $( '#loadingStatus').text("Datenbank wird aktualisiert!");

    var dataString = "{\"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\", \"index\":\""+adresse_index+"\"}";
    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/st/st_getdata_address.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000,
        success: function(result){
        	st_all_state = 2;
            console.log(result);
            
            if(result == "error")
            {
                var htmlString = '<div class="deviceContainer">' +
                                                        '<p class="deviceName">FALSCHES PASSWORT</p>' +
                                                    '</div>';
                $( "#stoerungenDatabaseView" ).append( $( htmlString ) );
            }
            else
            {
            	var OLD_Datum = "";
            	
                $.each(result, function(i, field){
                    var Datum = field.Datum;
                    var Adresse = field.Adresse;
                    var Adresse_index = field.Adresse_index;
                    var Info = field.Info.replace(/\"/g,"´´");
                    var Stoerung_kurz = field.Stoerung_kurz.replace(/\"/g,"´´");
                    var Stoerung_det = field.Stoerung_det.replace(/\"/g,"´´");
                    var Behebung_kurz = field.Behebung_kurz.replace(/\"/g,"´´");
                    var Behebung_det = field.Behebung_det.replace(/\"/g,"´´");
                    var Gemeldet_von = field.Gemeldet_von.replace(/\"/g,"´´");
                    var Techniker = field.Techniker.replace(/\"/g,"´´");
                    
                    var htmlString;
                    
                    if(OLD_Datum == "")
                    {
                    	var htmlString = '<p class="title" id="adresse">' + Adresse + '</p>';
                    	$( "#stoerungenDatabaseView" ).append( $( htmlString ) );
                    }
                    if(Datum != OLD_Datum)
                    {
                    	htmlString = '<label class="config">' + Datum + '</label>' 
                    	$( "#stoerungenDatabaseView" ).append( $( htmlString ) );
                    	OLD_Datum = Datum;
                    }
                    
                    htmlString = '<div class="deviceContainer" onclick="stoerung_all(\'' + Datum + '\',\'' + Adresse + '\',\'' + Adresse_index + '\',\'' + Info + '\',\'' + Stoerung_kurz + '\',\'' + Stoerung_det + '\',\'' + Behebung_kurz + '\',\'' + Behebung_det + '\',\'' + Gemeldet_von + '\',\'' + Techniker + '\')">' +
                                                        '<p class="deviceName">' + Stoerung_kurz + '</p>' +
                                                    '</div>';

                    
                    $( "#stoerungenDatabaseView" ).append( $( htmlString ) );
                    
                    console.log(Datum + " - " + Adresse);
                });
            }

            $( "#loadingView" ).hide();
            $( "#stoerungenDatabaseView" ).show();
        },
        error: function(result) {
        	st_all_state = 1;
                        
        	var htmlString = '<div class="deviceContainer">' +
                                                    '<p class="deviceName">FEHLER</p>' +
                                                '</div>';
            $( "#stoerungenDatabaseView" ).append( $( htmlString ) );

            $( "#loadingView" ).hide();
            $( "#stoerungenDatabaseView" ).show();
        }
    });
}

function mySearchFunction1() {
    var input = document.getElementById("Search1");
  var filter = input.value.toLowerCase();
  var nodes = document.getElementsByClassName('deviceContainer');

  for (i = 0; i < nodes.length; i++) {
    if (nodes[i].innerText.toLowerCase().includes(filter)) {
      nodes[i].style.display = "block";
    } else {
      nodes[i].style.display = "none";
    }
  }
}

function stoerungen_all(ref_index, adresse) {
    active_adresse = adresse;
    active_adresse_index = ref_index;
    getDatabaseST_All_ofAdress();
}

function stoerung_all(datum, adresse, adresse_index, info, stoerung_kurz, stoerung_det, behebung_kurz, behebung_det, gemeldet_von, techniker) {
    active_adresse = adresse;
    active_adresse_index = adresse_index;
    st_all_state = 3;

    var htmlString = '<p class="title" id="adresse">' + datum + "<br>" + adresse + '</p>';
    $( "#stoerungenView" ).append($( htmlString ));
	
	htmlString = '<label for="textarea16">Info zu Adresse:</label>';
    $( "#stoerungenView" ).append($( htmlString ));
    htmlString = "<textarea id='textarea16' onkeyup='textAreaAdjust(this)' readonly>" + info.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));
	
    htmlString = '<label for="textarea10">Störung kurz:</label>';
    $( "#stoerungenView" ).append($( htmlString ));
    htmlString = "<textarea id='textarea10' onkeyup='textAreaAdjust(this)' readonly>" + stoerung_kurz.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));

    htmlString = '<label for="textarea11">Störung detailliert:</label>';
    $( "#stoerungenView" ).append($( htmlString ));
    htmlString = "<textarea id='textarea11' onkeyup='textAreaAdjust(this)' readonly>" + stoerung_det.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));
    
    htmlString = '<label for="textarea12">Behebung kurz:</label>';
    $( "#stoerungenView" ).append($( htmlString ));   
    htmlString = "<textarea id='textarea12' onkeyup='textAreaAdjust(this)' readonly>" + behebung_kurz.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));
    
    htmlString = '<label for="textarea13">Behebung detailliert:</label>';
    $( "#stoerungenView" ).append($( htmlString ));   
    htmlString = "<textarea id='textarea13' onkeyup='textAreaAdjust(this)' readonly>" + behebung_det.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));
    
    htmlString = '<label for="textarea14">Gemeldet von:</label>';
    $( "#stoerungenView" ).append($( htmlString ));  
    htmlString = "<textarea id='textarea14' onkeyup='textAreaAdjust(this)' readonly>" + gemeldet_von.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));

	htmlString = '<label for="textarea15">Techniker:</label>';
    $( "#stoerungenView" ).append($( htmlString ));  
    htmlString = "<textarea id='textarea15' onkeyup='textAreaAdjust(this)' readonly>" + techniker.replace(/§/g,"\n") + "</textarea>";
    $( "#stoerungenView" ).append($( htmlString ));

    $( "#stoerungenView" ).append("<br>");
    
    htmlString = '<input type="button" class="btn" value="Navigation" onclick="Navigation()"></input>';
    $( "#stoerungenView" ).append($( htmlString ));

    $( "#stoerungenDatabaseView" ).empty();
    $( "#stoerungenDatabaseView" ).hide();
    $( "#stoerungenView" ).show();

    $("#textarea10").height( $("#textarea10")[0].scrollHeight );
    $("#textarea11").height( $("#textarea11")[0].scrollHeight );
    $("#textarea12").height( $("#textarea12")[0].scrollHeight );
    $("#textarea13").height( $("#textarea13")[0].scrollHeight );
    $("#textarea14").height( $("#textarea14")[0].scrollHeight );
    $("#textarea15").height( $("#textarea15")[0].scrollHeight );
    
    window.scrollTo(0,0);
}
