var success = true;
var manuals = [];
var $manualsDiv;
var $path;

//The directory to store data
var store;
var fileName;
var assetURL;

function openANLEITUNGEN(pfad) {
	var isTablet = (screen.width == 601) & (screen.height == 962); 
	
	if(isTablet)
	{
		store = "file:///storage/emulated/0/Liftwerk/";
		store_pdf = "file:///storage/emulated/0/Write on PDF/";
	}
	else
		store = "file:///storage/emulated/0/Liftwerk/";
		
	var pfad_splitted = pfad.split('/');
	fileName = pfad_splitted[pfad_splitted.length-1];
	assetURL = pfad;
	
	console.log(pfad_splitted);	
	console.log("checking file --> " + fileName);	
	console.log("     FROM URL --> " + assetURL);
	console.log("       TO URL --> " + store + fileName);
	console.log("    IS TABLET --> " + isTablet);
	
	$( "#anleitungenDatabaseView" ).hide();
	$( "#loadingView" ).css('display', 'table');
    $( '#loadingStatus').text("Datei wird geladen!");
    
	//Check for the file. 
	if(isTablet)
		moveFile();
	else
		window.resolveLocalFileSystemURL(store + fileName, appStart, downloadAsset);
}

function moveFile() {
    window.resolveLocalFileSystemURL(
          store_pdf + fileName,
          function(fileEntry){
                window.resolveLocalFileSystemURL(
                		store,             	
                        function(dirEntry) {
							//deleteOldFile(store); 
                            // move the file to a new directory and rename it
                            fileEntry.moveTo(dirEntry, fileName, 
                            	function () 
                            	{ 
                            		console.log("  COPIED FILE --> " + store_pdf + fileName);
                            		//deleteOldFile(store_pdf); 
                            		appStart();
                            	}, 
                            	function (err) { console.log(err); }
                            );
                        },
                        function() {
							console.log("       DATEI WURDE NOCH NIE BEARBEITET");
							window.resolveLocalFileSystemURL(store + fileName, appStart, downloadAsset);
						}
                );
                        
          },
          errorCallback);
}

function errorCallback() {
	console.log("       DATEI WURDE NOCH NIE BEARBEITET");
	window.resolveLocalFileSystemURL(store + fileName, appStart, downloadAsset);
}

function deleteOldFile(fileUri)
{
	//window.resolveLocalFileSystemURL(
    //      fileUri,
    //      function(fileEntry){
                newFileUri  = store;
                oldFileUri  = store_pdf;
                
                console.log("DELETING FILE --> " + fileUri + fileName);

                window.resolveLocalFileSystemURL(fileUri,
                        function(dirEntry) {
                        	
                            // delete the file 
                            dirEntry.getFile(fileName, {create: false}, function (fileEntry1) {
            					fileEntry1.remove(function (file) {
            						console.log("       DATEI GELÖSCHT");
					            }, function (error) {
					                console.log("       FEHLER BEIM LÖSCHEN");
					            }, function () {
					                console.log("       DATEI EXISTIERT NICHT");
					            });
        					});
                        },
                        function() {
							console.log("       FEHLER BEIM LÖSCHEN");
						});
    //      },
    //      errorCallback);
}

function downloadAsset() {
	var fileTransfer = new FileTransfer();
	console.log("About to start transfer");
	console.log("     FROM URL --> " + assetURL);
	console.log("       TO URL --> " + store + fileName);
	
	assetURL = encodeURI(assetURL);
	
	fileTransfer.download(assetURL, store + fileName, 
		function(entry) {
			console.log("Success!");
			appStart();
		}, 
		function(err) {
			console.log("Error");
			console.log(err);
			navigator.notification.alert('Fehler beim Download!', function() {}, '');
		});
}

function getType(file_URI) {
    window.resolveLocalFileSystemURL(file_URI, function(fileEntry) {
        fileEntry.file(function(filee) {
        	mime = filee.type;
            //alert(filee.type); //THIS IS MIME TYPE
            
            cordova.plugins.fileOpener2.open(
			    store + fileName,
			    mime,
			    //'application/pdf', 
			    { 
			        error : function(e) { 
			            console.log('Error status: ' + e.status + ' - Error message: ' + e.message);
			            $( "#loadingView" ).hide();
			            $( "#anleitungenDatabaseView" ).show();
			            navigator.notification.alert('Fehler beim Öffnen!', function() {}, '');
			        },
			        success : function () {
			            console.log('file opened successfully'); 
			            $( "#loadingView" ).hide();		
			            $( "#anleitungenDatabaseView" ).show();
			        }
			    }
			);
        }, function() {
            alert('error getting MIME type');
            $( "#loadingView" ).hide();	
            $( "#anleitungenDatabaseView" ).show();
        });

    }, function() {
            alert('error opening file');
            $( "#loadingView" ).hide();	
            $( "#anleitungenDatabaseView" ).show();
        });
}

//I'm only called when the file exists or has been downloaded.
function appStart() {
	console.log("opening file --> " + store + fileName);
	
	getType(store + fileName);
}

function getDatabaseANLEITUNGEN(pfad) {
    //foto_state = 1;
    console.log("getDatabaseANLEITUNGEN!");   
    console.log("PFAD --> " + pfad);
    
    $( "#anleitungenView" ).empty();
    $( "#anleitungenView" ).hide();
    $( "#anleitungenDatabaseView" ).empty();
    $( "#anleitungenDatabaseView" ).hide();
    $( "#loadingView" ).css('display', 'table');
    $( '#loadingStatus').text("Datenbank wird aktualisiert!");
    var dataString = "{\"path\":\""+pfad+"\", \"pass\":\""+config_passwort+"\"}";
    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/anleitungen/anleitungen_show.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000,
        success: function(result){
        	anleitungen = 1;
            console.log(result);
            if(result == "error")
            {
                var htmlString = '<div class="deviceContainer">' +
                                                        '<p class="deviceName">FALSCHES PASSWORT</p>' +
                                                    '</div>';
                $( "#anleitungenDatabaseView" ).append( $( htmlString ) );
            }
            else
            {
	            $.each(result, function(i, field){
	                    var Name = field.Name;
	                    var Pfad = field.Path;
						var IstOrdner = field.IsDir;
						
						if(IstOrdner == "Y")
							Pfad = Pfad + '/';
						
						/*	
						if(Pfad.indexOf("../../manuals/../") !== -1)
							IstOrdner = "-";
						if(Pfad.indexOf("/./") !== -1)
							IstOrdner = "-";
							*/
						
						var pfad_splitted = Pfad.split('/');
						/*console.log(pfad_splitted);
						console.log(pfad_splitted.length);*/
						
						if(pfad_splitted[pfad_splitted.length-2] == ".")
						{
							IstOrdner = "-";
						}
						
						if(pfad_splitted[pfad_splitted.length-2] == "..")
						{
							Name = "<<<  ZURÜCK";
							Pfad = "";
							
							if(pfad_splitted[pfad_splitted.length-3] == "manuals")
								IstOrdner = "-";
							else
								IstOrdner = "B";
							
							for(var i = 0; i < pfad_splitted.length - 3; i++)
							{
								Pfad += pfad_splitted[i] + "/";
							}
						}
	
	                    console.log(Name);
						console.log(Pfad);			
						console.log(IstOrdner);
												
	                    var htmlString;
	                    
	                    // Ordner 
	                    if(IstOrdner == "Y")
	                       	htmlString = '<div class="deviceContainer" onclick="getDatabaseANLEITUNGEN(\'' + Pfad + '\')">' +
	                                                        '<p class="deviceName">' + Name + '</p>' +
	                                                    '</div>';
	                    // Zurück Button
	                    else if(IstOrdner == "B")
	                       	htmlString = '<div class="deviceContainer2" onclick="getDatabaseANLEITUNGEN(\'' + Pfad + '\')">' +
	                                                        '<p class="deviceName">' + Name + '</p>' +
	                                                    '</div>';
	                    // Datei
	                    else if(IstOrdner == "N")
	                    	htmlString = '<div class="deviceContainer1" onclick="openANLEITUNGEN(\'' + Pfad.replace("../..", config_server) + '\')">' +
	                                                        '<p class="deviceName">' + Name + '</p>' +
	                                                    '</div>';
	                    
	                    $( "#anleitungenDatabaseView" ).append( $( htmlString ) );
	                });
            }
            $( "#loadingView" ).hide();
            $( "#anleitungenDatabaseView" ).show();
        },
        error: function(result) {
            navigator.notification.alert('Keine Verbindung zum Server!', function() {}, '');
            console.log(result);
            $( "#loadingView" ).hide();
            $( "#welcomeView" ).show();
        }
    });
}
