var string_array;
var active_referenz;
var active_referenz_anlage;
var active_anlagenadresse;
var active_adresse;
var active_adresse_lat;
var active_adresse_long;
var active_lat;
var active_long;
var active_distance;

var active_f1;
var active_f2;
var active_f3;
var active_anmerkung;
var active_material;

var $imagesDiv;

var $referenz;

var wv_referenz_array = [];
var wv_adressen_array = [];
var wv_anlagenadressen_array = [];
var wv_infos_array = [];

function getDatabaseWVforWARTUNGEN() {
    console.log("GetdatabaseWVforWARTUNGEN!");
    $( "#wartungenView" ).empty();
    $( "#wartungenView" ).hide();
    $( "#wartungenDatabaseView" ).empty();
    $( "#wartungenDatabaseView" ).hide();
    $( "#loadingView" ).css('display', 'table');
    $( '#loadingStatus').text("Datenbank wird aktualisiert!");

    wv_referenz_array = [];
    wv_adressen_array = [];
    wv_anlagenadressen_array = [];
    wv_infos_array = [];

    var x = 0;
    var dataString = "{\"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\"}";
    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/wv/wv_getdata.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000,
        success: function(result){
            console.log(result);
            
            if(result == "error")
            {
                localStorage.setItem("wv_anlagenadressen", JSON.stringify(wv_anlagenadressen_array));
                localStorage.setItem("wv_adressen", JSON.stringify(wv_adressen_array));
                localStorage.setItem("wv_referenz", JSON.stringify(wv_referenz_array));
                localStorage.setItem("wv_infos", JSON.stringify(wv_infos_array));
            }
            else
            {
                $.each(result, function(i, field){
                    var Anlagenadresse;
                    var Adresse;
                    var Hausnummer = field.Nummer.split(',')[0];
                    var Typ = field.Nummer.split(',')[1]

                    if(field.Strasse.indexOf("/") !== -1)
                        Adresse = field.Strasse.split('/')[0] + "<br>" + field.Strasse.split('/')[1] + " " + Hausnummer + ", " + field.Plz + " " + field.Stadt;
                    else
                        Adresse = field.Strasse + " " + Hausnummer + ", " + field.Plz + " " + field.Stadt;
                    
                    if(Typ !== " Personenaufzug")
                        Anlagenadresse = Adresse + "<br>-" + Typ;
                    else
                        Anlagenadresse = Adresse;

                    wv_anlagenadressen_array[x] = Anlagenadresse;
                    wv_referenz_array[x] = field.Referenz;
                    wv_adressen_array[x] = Adresse;
                    wv_infos_array[x] = field.Monteur_infos;
                    x++;
                });

                localStorage.setItem("wv_anlagenadressen", JSON.stringify(wv_anlagenadressen_array));
                localStorage.setItem("wv_adressen", JSON.stringify(wv_adressen_array));
                localStorage.setItem("wv_referenz", JSON.stringify(wv_referenz_array));
                localStorage.setItem("wv_infos", JSON.stringify(wv_infos_array));
            }
            getDatabaseWARTUNGEN();
        },
        error: function(result) {
            navigator.notification.alert('Keine Verbindung zum Server!', function() {}, '');
            $( "#loadingView" ).hide();
            $( "#welcomeView" ).show();
            
            /*
            for(i=0;i<wv_adressen_array.length;i++){
                var htmlString = '<div class="deviceContainer" onclick="wartungsvertrag(\'' + wv_referenz_array[i] + '\',\'' + wv_adressen_array[i] + '\',\'' + wv_infos_array[i].replace(/\"/g,"´´").replace(/'/g,"`") + '\')">' +
                                    '<p class="deviceName">' + wv_adressen_array[i] + '</p>' +
                                 '</div>';
            }
            */
        }
    });
}

function getDatabaseWARTUNGEN() {
    console.log("GetdatabaseWARTUNGEN!");
    
    var dataString = "{\"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\"}";
    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/wt/wt_getdata.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000,
        success: function(result){
        	wt_state = 1;
            var x = 0;
            console.log(result);
			
			var searchbar = '<input class="searchtext" type="searchtext" id="Search6" onkeyup="mySearchFunction6()" placeholder="Adressen durchsuchen..." title="Adresse eingeben">';
            $( "#wartungenDatabaseView" ).append( $( searchbar ) );
			
            if(result == "error")
            {
                var htmlString = '<div class="deviceContainer">' +
                                                        '<p class="deviceName">FALSCHES PASSWORT</p>' +
                                                    '</div>';
                $( "#wartungenDatabaseView" ).append( $( htmlString ) );
            }
            else
            {
                $.each(result, function(i, field){
                    for(i=0;i<wv_referenz_array.length;i++){
                        if(wv_referenz_array[i] == field.Adresse)
                        {
                        	var anm = field.Anmerkung.replace(/\r\n/g,"<br>").replace(/\n/g,"<br>");
                        	var mat = field.Material.replace(/\r\n/g,"<br>").replace(/\n/g,"<br>");
                            if(field.Fertig_Datum == '')
                            {
                                // Wartung noch nicht gemacht
                                var htmlString = '<div class="deviceContainer" onclick="wartung(\'' + field.Referenz + '\',\'' + field.Adresse + '\',\'' + wv_adressen_array[i] + '\',\'' + wv_anlagenadressen_array[i] + '\',\'' + wv_referenz_array[i] + '\',\'' + field.Jahr_Soll + '\',\'' + field.Monat_Soll + '\',\'' + field.Frage_1 + '\',\'' + field.Frage_2 + '\',\'' + field.Frage_3 + '\',\'' + anm + '\',\'' + mat+ '\')">' +
                                                    '<p class="deviceName">' + field.Monat_Soll + ' ' + field.Jahr_Soll + '<br>' + wv_anlagenadressen_array[i] + '</p>' +
                                                '</div>';

                                break;
                            }
                            else
                            {
                                // Wartung schon gemacht
                                var htmlString = '<div class="deviceContainer1" onclick="wartung(\'' + field.Referenz + '\',\'' + field.Adresse + '\',\'' + wv_adressen_array[i] + '\',\'' + wv_anlagenadressen_array[i] + '\',\'' + wv_referenz_array[i] + '\',\'' + field.Jahr_Soll + '\',\'' + field.Monat_Soll + '\',\'' + field.Frage_1 + '\',\'' + field.Frage_2 + '\',\'' + field.Frage_3 + '\',\'' + anm + '\',\'' + mat + '\')">' +
                                                    '<p class="deviceName">' + field.Monat_Soll + ' ' + field.Jahr_Soll + '<br>' + wv_anlagenadressen_array[i] + '</p>' +
                                                '</div>';

                                break;
                            }
                        }
                    }
                    console.log(htmlString);
                    
                    $( "#wartungenDatabaseView" ).append( $( htmlString ) );
                });

                if(result.length == 0)
                {
                    var htmlString = '<div class="deviceContainer">' +
                                                    '<p class="deviceName">Es sind keine Wartungen freigegeben!</p>' +
                                                '</div>';
                    $( "#wartungenDatabaseView" ).append( $( htmlString ) );                           
                }

            }

            $( "#loadingView" ).hide();
            $( "#wartungenDatabaseView" ).show();
        },
        error: function(result) {
            navigator.notification.alert('Keine Verbindung zum Server!', function() {}, '');
            $( "#loadingView" ).hide();
            $( "#welcomeView" ).show();
        }
    });
}

function mySearchFunction6() {
    var input = document.getElementById("Search6");
    console.log("Search --> " + input.value.toLowerCase());
  var filter = input.value.toLowerCase();
  var nodes = document.getElementsByClassName('deviceContainer');
  var nodes1 = document.getElementsByClassName('deviceContainer1');

  for (i = 0; i < nodes.length; i++) {
    if (nodes[i].innerText.toLowerCase().includes(filter)) {
      nodes[i].style.display = "block";
    } else {
      nodes[i].style.display = "none";
    }
  }
  
  for (i = 0; i < nodes1.length; i++) {
    if (nodes1[i].innerText.toLowerCase().includes(filter)) {
      nodes1[i].style.display = "block";
    } else {
      nodes1[i].style.display = "none";
    }
  }
}

function wartung(referenz, referenz_adresse, adresse, anlagenadresse, referenz_anlage, jahr_soll, monat_soll, frage_1, frage_2, frage_3, anmerkung, material) {
    wt_state = 2;
    
    $adresse = adresse.replace(/<br>- /g,", ").replace(/<br>/g,"_").replace(/\//g,"_");
    
    anmerkung = anmerkung.replace(/<br>/g,"\n");
    material = material.replace(/<br>/g,"\n");
    
    $( "#wartungenDatabaseView" ).hide();
	
    var htmlString = '<p class="title" id="adresse">' + monat_soll + ' ' + jahr_soll + '<br>' + anlagenadresse + '</p>';
    active_referenz = referenz;
    active_referenz_anlage = referenz_anlage;
    active_adresse = adresse;
    active_anlagenadresse = anlagenadresse;
    $( "#wartungenView" ).append($( htmlString ));

    // Wartung durchgeführt
    $( "#wartungenView" ).append(' <fieldset>' +
                                 '              <div class="some-class">' +
                                 '                  <label for="y"><input type="radio" id="r1" name="Frage1" class="rdo" ' + (frage_1 == 'X' ? 'checked="checked"' : '') + '/>Wartung laut Vertrag durchgeführt</label> <br>' +
                                 '                  <label for="z"><input type="radio" id="r2" name="Frage1" class="rdo" ' + (frage_1 == ''  ? 'checked="checked"' : '') + '/>Wartung nicht durchgeführt <br/>(Grund angeben)</label>' +
                                 '              </div>' +
                                 '          </fieldset>');

    // Anlage in Betrieb/außer Betrieb
    $( "#wartungenView" ).append(' <fieldset>' +
                                 '              <div class="some-class">' +
                                 '                  <label for="y"><input type="radio" id="r3" name="Frage2" class="rdo" ' + (frage_2 == 'X' ? 'checked="checked"' : '') + '/>Anlage in Betrieb</label> <br>' +
                                 '                  <label for="z"><input type="radio" id="r4" name="Frage2" class="rdo" ' + (frage_2 == ''  ? 'checked="checked"' : '') + '/>Anlage nicht in Betrieb<br/>(Grund angeben)</label>' +
                                 '              </div>' +
                                 '          </fieldset>');

    // Verschmutzung
    $( "#wartungenView" ).append(' <fieldset>' +
                                 '              <div class="some-class">' +
                                 '                  <label for="y"><input type="radio" id="r5" name="Frage3" class="rdo" ' + (frage_3 == 'X' ? 'checked="checked"' : '') + '/>Anlage normal verschmutzt</label> <br>' +
                                 '                  <label for="z"><input type="radio" id="r6" name="Frage3" class="rdo" ' + (frage_3 == '' ? 'checked="checked"' : '') + '/>Anlage stark verschmutzt</label>' +
                                 '              </div>' +
                                 '          </fieldset>');
    
    $( "#wartungenView" ).append(' <fieldset>' +
                                 '              <div class="some-class">' +
                                 '                  <label for="y">Anmerkungen:</label> <br>' +
                                 '                  <textarea id="textarea1" name="Text1" cols="1" rows="1" onkeyup="textAreaAdjust(this)">' + anmerkung + '</textarea>' +
                                 '              </div>' +
                                 '          </fieldset>');
    
    $( "#wartungenView" ).append(' <fieldset>' +
                                 '              <div class="some-class">' +
                                 '                  <label for="y">Material:</label> <br>' +
                                 '                  <textarea id="textarea2" name="Text2" cols="1" rows="1" onkeyup="textAreaAdjust(this)">' + material + '</textarea>' +
                                 '              </div>' +
                                 '          </fieldset>');
	
    htmlString = '<input type="button" class="btn" value="Wartung Absenden" onclick="WT_absenden()"></input>';
    $( "#wartungenView" ).append($( htmlString ));

    htmlString = '<input type="button" class="btn" value="Wartung Zurücksetzen" onclick="WT_zuruecksetzen()"></input>';
    $( "#wartungenView" ).append($( htmlString ));

	htmlString = '<input type="button" class="btn" value="Foto Hochladen" onclick="selPicWartung()"></input>';
    $( "#wartungenView" ).append($( htmlString ));

    htmlString = '<input type="button" class="btn" value="Navigation" onclick="Navigation()"></input>';
    $( "#wartungenView" ).append($( htmlString ));

	htmlString = '<br><br><div id="images"></div>';
	$( "#wartungenView" ).append($( htmlString ));
	
	$imagesDiv = $("#images");	
	
    $( "#wartungenView" ).show();
    
    $("#textarea1").height( $("#textarea1")[0].scrollHeight );
    $("#textarea2").height( $("#textarea2")[0].scrollHeight );
    
    window.scrollTo(0,0);
}

// Upload Pictures

var html_to_add;
var image_to_add;



function selPicWartung() {
        navigator.camera.getPicture(function(f) {
            var newHtml = "<img id='foto' src='"+f+"' style='width:100%;height:100%;'>";
            html_to_add = newHtml;
            images.push(f);
            uploadPicsWartung();
        }, function(e) {
            navigator.notification.alert('Abbruch!', function() {}, '');
        }, { 
            quality: 100,
            sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
            destinationType: Camera.DestinationType.FILE_URI
        });
        
    }

function uploadPicsWartung() {
    //if(upload == true)
    //{
        $( "#wartungenView" ).hide();
        $( "#loadingView" ).css('display', 'table');
        
        console.log("Ok, going to upload 1 image.");
        var defs = [];
        var count_display = 1;
        var count_name = 1;
        $( '#loadingStatus').text("Foto wird hochgeladen!");

        images.forEach(function(i) {
            console.log('processing '+i);
            var def = $.Deferred();

            function win(r) {
                console.log("thing done");
                if($.trim(r.response) === "error") {
                    console.log("this one failed");
                    console.log(r);

                    // Falls ein Bild nicht hochgeladen wurde, sollen einfach alle nochmal hochgeladen werden!
                    success = false;

                    def.resolve(0);
                } else {
                    count_display++;
                    $( '#loadingStatus').text("Foto wird hochgeladen!");
                    console.log("this one passed");
                    console.log(r.response);
                    def.resolve(1);
                }
            }

            function fail(error) {
                console.log("upload error source " + error.source);
                console.log("upload error target " + error.target);

                // Falls ein Bild nicht hochgeladen wurde, sollen einfach alle nochmal hochgeladen werden!
                success = false;

                def.resolve(0);
            }

            var options = new FileUploadOptions();
            options.fileKey="file";
            options.fileName=i.substr(i.lastIndexOf('/')+1);
            options.mimeType="image/jpeg";

            var params = new Object();
            var now = formatDateWartung();

            params.value1 = now + " - " + config_name + ".jpg";
            params.value2 = config_passwort;
            params.value3 = $adresse;
            params.value4 = active_referenz_anlage;

            count_name++;
            
            console.log(params.value1);

            options.params = params;
            options.chunkedMode = false;

            var ft = new FileTransfer();
            ft.upload(i, config_server + "/liftwerk_allinone/foto/foto_wartungen_upload.php", win, fail, options);
            defs.push(def.promise());
            
        });

        $.when.apply($, defs).then(function() {
            console.dir(arguments);

            if(success == false)
            {
                success = true; 
                navigator.notification.alert('Ein Fehler ist aufgetreten, nochmal versuchen!', function() {}, '');
                $( "#loadingView" ).hide();
                $( "#wartungenView" ).show();       
            }
            else
            {
                navigator.notification.alert('Erfolgreich hochgeladen!', function() {}, '');
                $( "#loadingView" ).hide();

                $imagesDiv.prepend(html_to_add);

                //for (var i= document.images.length; i-->0;)
                //{
                //    if(document.images[i].id == 'foto')
                //        document.images[i].parentNode.removeChild(document.images[i]);
                //}

                //var images = document.getElementsByTagName('img');
                //while(images.length > 0) {
                //    images[0].parentNode.removeChild(images[0]);
                //}

                upload = false;
                images = [];
                $( "#wartungenView" ).show();        
            }
        });
    //}
    //else
    //    navigator.notification.alert('Es muss zumindest ein Foto ausgewählt sein!', function() {}, '');
}

function formatDateWartung()
{
    var d = new Date();
    var now = d.getTime();

    var month = d.getMonth();
    var day = d.getDate();
    month = month + 1;

    month = month + "";

    if (month.length == 1)
    {
        month = "0" + month;
    }

    day = day + "";

    if (day.length == 1)
    {
        day = "0" + day;
    }

    var hours = d.getHours();
    var minutes = d.getMinutes();     
    var seconds = d.getSeconds();   

    if (hours < 10)
    {
        hours = "0" + hours;
    }
    if (minutes < 10)
    {
        minutes = "0" + minutes;
    }
    if (seconds < 10)
    {
        seconds = "0" + seconds;
    }

    return d.getFullYear() + month + day + "_" + hours + minutes + seconds;
}


function WT_zuruecksetzen() {
    var dataString = "{\"wartung\":{\"referenz\":\""+active_referenz+"\"}, \"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\"}";

    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/wt/wt_resetdata.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000,
        success: function(data){
            console.log("DATA: " + data);
            if(data.indexOf("success") !== -1) {
                navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie WARTUNG wurde zurückgesetzt!', function() {}, '');
                $( "#wartungenView" ).empty();
                $( "#wartungenView" ).hide();
                $( "#loadingView" ).hide();
                getDatabaseWVforWARTUNGEN();
            }
            else if(data.indexOf("error") !== -1) {
                navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie WARTUNG konnte nicht zurückgesetzt werden! Bitte nochmal machen!', function() {}, '');
                $( "#loadingView" ).hide();
                $( "#wartungenView" ).show();
            } 
        },
        error: function(xhr, status, error) {
            navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie WARTUNG konnte nicht zurückgesetzt werden! Bitte nochmal machen!', function() {}, '');
            $( "#loadingView" ).hide();
            $( "#wartungenView" ).show();
        }
    });
}

function WT_absenden() {
    var txtarea = $('#textarea1').val().replace(/ /g,"");

    if ((document.getElementById('r2').checked | document.getElementById('r4').checked) & txtarea == "")
        navigator.notification.alert('Grund angeben!', function() {}, '');
    else
        WT_sendData();
}

var email_to;
var email_cc;
var email_subject;
var email_body;

function WT_sendData()  {
    function onGeolocationSuccess(location) {
        console.log('Got Current Position');

        active_lat = location.coords.latitude;
        active_long = location.coords.longitude;

        var txtarea_nospace = $('#textarea1').val().replace(/ /g,"");
        if (document.getElementById('r2').checked | document.getElementById('r4').checked)
            GetGeoCoordinatesOfWtAddress(location);
        else
            SendWtAndGpsToSql(location);
    };

    function onGeolocationError(errorCode) {
        switch (errorCode) {
            case 0:
            navigator.notification.alert('Fehler - Es konnte kein Standort ermittelt werden!', function() {}, '');
            break;
            case 1:
            navigator.notification.alert('Fehler - Standortinformationen müssen in den Einstellungen aktiviert sein!', function() {}, '');
            break;
            case 2:
            navigator.notification.alert('Fehler - Verbindungsabbruch!', function() {}, '');
            break;
            case 408:
            navigator.notification.alert('Fehler - Zeitüberschreitung!', function() {}, '');
            break;
        }
        //alert('code: '    + error.code    + '\n' + 'message: ' + error.message + '\n');

        $( "#loadingView" ).hide();
        $( "#wartungenView" ).show();
    };

    $( "#wartungenView" ).hide();
    $( "#loadingView" ).css('display', 'table');
    $( '#loadingStatus').text("Standort wird ermittelt!");

    navigator.geolocation.getCurrentPosition(onGeolocationSuccess, onGeolocationError, {maximumAge:60000, timeout:10000});
    //bgGeo.getCurrentPosition(onSuccess, onError);

    console.log('Get Current Position');
}

function GetGeoCoordinatesOfWtAddress(location) {
    console.log('Get Coordinates of Adress');
    active_distance = "N/A";
    var address = active_adresse.replace(/ß/g, "ss").replace("/", " ");
    
    if(address.indexOf("<br>") !== -1)
        address = address.split('<br>')[1];
    console.log(address);

                console.log('Got Coordinates of Adress');
                $( '#loadingStatus').text("Email senden");    
                
                //--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                //EMAIL ERSTELLEN
                //--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                //email_to = 'office@liftwerk.at';
                //email_to = 'hoermann@liftwerk.at';
                //email_cc = '';
                email_subject = 'Wartung Liftwerk - ' + active_anlagenadresse.replace("<br>", " / ");
                
                var txtarea = $('#textarea1').val().replace(/ /g,"");

                var today = new Date();

                var dd = today.getDate();
                var mm = today.getMonth()+1;//January is 0, so always add + 1

                var yyyy = today.getFullYear();
                if(dd<10){dd='0'+dd}
                if(mm<10){mm='0'+mm}

                var hour = today.getHours();
                if(hour<10){hour='0'+hour}
                var min = today.getMinutes();
                if(min<10){min='0'+min}
                var sec = today.getSeconds();
                if(sec<10){sec='0'+sec}

                var time = dd+'.'+mm+'.'+yyyy+' '+hour+':'+min+':'+sec;
               
                email_body = "Wartung\\n\\n" + active_anlagenadresse.replace("<br>", " / ") + "\\n" + time + "\\n\\n" + 
                			 "Aktuelle Position des Kontrolleurs: " + "https://www.google.at/maps/search/" + address.replace("/", "%2F") .replace(/ /g,"+").replace(/ß/g, "ss") + "/\\n\\n";

                if (document.getElementById('r1').checked)
                    email_body += "+ Die Wartung wurde erfolgreich durchgeführt!\\n";
                else
                    email_body += "- Die Wartung konnte nicht durchgeführt werden!\\n";

                if (document.getElementById('r3').checked)
                    email_body += "+ Die Anlage ist in Betrieb!\\n";
                else
                    email_body += "- Die Anlage ist außer Betrieb!\\n";
                
                email_body += "\\nKontrolleur: " + config_name + "\\n";
                
                var txtarea_nospace = $('#textarea1').val().replace(/ /g,"");
                if (txtarea_nospace != "")
                    email_body += "\\nAnmerkung des Kontrolleurs:\\n" + $('#textarea1').val();
                    
                console.log('Create Background Email');
                SendMail3(email_subject, email_body, location);       
}

function SendMail3(email_subject, email_body, location) {
    console.log('Mail übermitteln');
    
    var dataString = "{\"mail\":{\"email_subject\":\""+email_subject+"\",\"email_body\":\""+email_body+"\"}, \"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\"}";

    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/mail/mail_senddata.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000, 
        //beforeSend: function(){ $("#update").val('Connecting...');},
        success: function(data){
            console.log("DATA: " + data);
            if(data.indexOf("success") !== -1) {
                SendWtAndGpsToSql(location);
            }
            else if(data.indexOf("error") !== -1) {
                navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie BK konnte nicht abgeschlossen werden! Bitte nochmal absenden!', function() {}, '');
                $( "#loadingView" ).hide();
                $( "#wartungenView" ).show();
            }
        },
        error: function(xhr, status, error) {
            navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie BK konnte nicht abgeschlossen werden! Bitte nochmal absenden!', function() {}, '');
            $( "#loadingView" ).hide();
            $( "#wartungenView" ).show();
        }
    });
}

function SendWtAndGpsToSql(location) {
    console.log('WT und GPS übermitteln');
    var coords = location.coords;
    var lat    = coords.latitude;
    var lng    = coords.longitude;

    //--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    //SQL SERVER UPDATEN (Zeitstempel von WT + WT eintrag + GPS eintrag)!
    //--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    var today = new Date();
    var dd = today.getDate();
    var mm = today.getMonth()+1;//January is 0, so always add + 1
    var yyyy = today.getFullYear();
    if(dd<10){dd='0'+dd}
    if(mm<10){mm='0'+mm}                
    var datum = dd+'.'+mm+'.'+yyyy;

    if (document.getElementById('r2').checked) active_f1 = "";
    else                                       active_f1 = "X";

    if (document.getElementById('r4').checked) active_f2 = "";
    else                                       active_f2 = "X";

    if (document.getElementById('r6').checked) active_f3 = "";
    else                                       active_f3 = "X";

    var txtarea_nospace = $('#textarea1').val().replace(/ /g,"");
    if (txtarea_nospace == "")  active_anmerkung = "";
    else                        active_anmerkung = $('#textarea1').val().replace(/(?:\r\n|\r|\n)/g, ' ');

    var txtarea2_nospace = $('#textarea2').val().replace(/ /g,"");
    if (txtarea2_nospace == "") active_material = "";
    else                        active_material = $('#textarea2').val().replace(/(?:\r\n|\r|\n)/g, ' ');

    var dataString = "{\"wartung\":{\"referenz\":\"" + active_referenz + "\",\"f1\":\"" + active_f1 + "\",\"f2\":\"" + active_f2 + "\",\"f3\":\"" + active_f3 +"\",\"anmerkung\":\""+active_anmerkung+"\",\"material\":\""+active_material+"\"},\"location\":{\"latitude\":"+lat+",\"longitude\":"+lng+"}, \"name\":\""+config_name+"\", \"pass\":\""+config_passwort+"\"}";

    //console.log(zeit + " - We got an BG Update " + JSON.stringify(location));
    console.log("DATASTRING ---->>>> " + dataString);

    $.ajax({
        type: "POST",
        url: config_server + "/liftwerk_allinone/wt/wt_setdata.php",
        //url: "http://posttestserver.com/post.php",
        data: dataString,
        crossDomain: true,
        cache: false,
        timeout: 30000, 
        //beforeSend: function(){ $("#update").val('Connecting...');},
        success: function(data){
            console.log("DATA: " + data);
            if(data.indexOf("success") !== -1) {
                navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nWARTUNG wurde gesendet!\nBETRIEBSKONTROLLE nicht vergessen!', function() {}, '');
                $( "#wartungenView" ).empty();
                $( "#wartungenView" ).hide();
                $( "#loadingView" ).hide();
                getDatabaseWVforWARTUNGEN();
            }
            else if(data.indexOf("error") !== -1) {
                navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie WARTUNG konnte nicht abgeschlossen werden! Bitte nochmal absenden!', function() {}, '');
                $( "#loadingView" ).hide();
                $( "#wartungenView" ).show();
            }
        },
        error: function(xhr, status, error) {
            navigator.notification.alert(active_anlagenadresse.replace(/<br>/g,"\n") + '\n\nDie WARTUNG konnte nicht abgeschlossen werden! Bitte nochmal absenden!', function() {}, '');
            $( "#loadingView" ).hide();
            $( "#wartungenView" ).show();
        }
    });
    ////////////////////////////////////////////////////////////////////////
}

function distance(lat1, lon1, lat2, lon2) {
    var radlat1 = Math.PI * lat1/180;
    var radlat2 = Math.PI * lat2/180;
    var theta = lon1-lon2;
    var radtheta = Math.PI * theta/180;
    var dist = Math.sin(radlat1) * Math.sin(radlat2) + Math.cos(radlat1) * Math.cos(radlat2) * Math.cos(radtheta);
    dist = Math.acos(dist);
    dist = dist * 180/Math.PI;
    dist = dist * 60 * 1.1515;
    dist = dist * 1.609344;
    active_distance = dist.toFixed(3);
}

function textAreaAdjust(o) {
    o.style.height = "1px";
    o.style.height = (15+o.scrollHeight)+"px";
}

